//#region libs/shared/common/src/types/generatePoints.ts
var e = /* @__PURE__ */ function(e) {
	return e[e.Swap = 0] = "Swap", e[e.DApp = 1] = "DApp", e[e.Shield = 2] = "Shield", e[e.Unshield = 3] = "Unshield", e[e.PrivateSend = 4] = "PrivateSend", e;
}({}), t = /* @__PURE__ */ function(e) {
	return e[e.Trading = 0] = "Trading", e[e.Quests = 1] = "Quests", e[e.Aum = 2] = "Aum", e[e.Referral = 3] = "Referral", e[e.MysteryBox = 4] = "MysteryBox", e;
}({});
//#endregion
export { t as PointsType, e as TradingType };
